Any TVHeadend users, using Debian 10 (Buster) on an ARM device?
#1
As per the title, it would be great to hear from anyone with this particular setup and what version of TVH they are using.

I am currently using 4.3-1857~g221c29b40 and have noticed a few glitches - in particular, I have lost the ability to automatically update OTA EPG grabs, once my system is up and running.
Reply
#2
I'm running 4.3-1891~gf77c77d11 using Debian 10 (HypriotOS) on ARM (Raspberry Pi)
Leopold's Repository: Home of LibreELEC Dev Updater ...
Reply
#3
(2020-09-28, 16:46)Leopold Wrote: I'm running 4.3-1891~gf77c77d11 using Debian 10 (HypriotOS) on ARM (Raspberry Pi)

Thanks Leopold.

Can I just ask where you managed to get that version from, please?

If you go to the TVHeadend website download section, you end up here https://phillw.net/mark/incoming/deb_pac...tvheadend/.  These do not seem to have been updated in ages.

Can I also just ask whether you have any issues with your current build?

I have noticed two major problems with TVH at the moment:

1. My Sky UK EPG grabber does not seem to work - the Freesat and Freesat EIT modules are absolutely fine, however.

2. I use bouquets (BSkyB Bouquet 5 - HD England: London) and have noticed that there are a few channels that are not being added - specifically, Pick TV and Sky Arts.

It is possible that a frequency update might sought these problems out but have no idea how to look into this further.
Reply
#4
Managed to fix it - in case it helps anyone else:

I went to the list of MUX's and edited the frequency 11778V - changed the EPG Module ID from EIT to Open TV.

Works fine, now.
Reply
#5
(2020-09-29, 10:42)elsmandino Wrote: Can I just ask where you managed to get that version from, please?
I'm running a Docker container using the linuxserver images from https://hub.docker.com/r/linuxserver/tvheadend/
Leopold's Repository: Home of LibreELEC Dev Updater ...
Reply
#6
I'm currently only using Freeview and haven't had any major issues.

Good that you've got your issue sorted!
Leopold's Repository: Home of LibreELEC Dev Updater ...
Reply
#7
I have just tried to have a go at upgrading my version of TVH and have managed to fudge it up:

Code:
[email protected]:~# dpkg -i tvheadend_4.3-1946_gd003145d7_raspbianbuster_armhf.deb
(Reading database ... 64906 files and directories currently installed.)
Preparing to unpack tvheadend_4.3-1946_gd003145d7_raspbianbuster_armhf.deb ...
Unpacking tvheadend (4.3-1946~gd003145d7~raspbianbuster) over (4.3-1946~gd003145d7~raspbianbuster) ...
dpkg: dependency problems prevent configuration of tvheadend:
tvheadend depends on libavcodec58 (>= 10:4.1.6); however: Package libavcodec58 is not installed. tvheadend depends on libavformat58 (>= 10:4.1.6); however:
Package libavformat58 is not installed. tvheadend depends on libavresample4 (>= 10:4.1.6); however:
Package libavresample4 is not installed. tvheadend depends on libavutil56 (>= 10:4.1.6); however:
Package libavutil56 is not installed. tvheadend depends on libswresample3 (>= 10:4.1.6); however:
Package libswresample3 is not installed. tvheadend depends on libswscale5 (>= 10:4.1.6); however:
Package libswscale5 is not installed.
dpkg: error processing package tvheadend (--install):
dependency problems - leaving unconfigured
Processing triggers for systemd (241-7~deb10u7) ...
Processing triggers for man-db (2.8.5-2) ...
Errors were encountered while processing:
tvheadend

Any idea why I can do to get things working again?
Reply



Logout Mark Read Team Forum Stats Members Help
Any TVHeadend users, using Debian 10 (Buster) on an ARM device?0
This forum uses Lukasz Tkacz MyBB addons.